> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List available plans



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/billing/plans
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/billing/plans:
    get:
      tags:
        - Billing
      summary: List available plans
      operationId: getV1BillingPlans
      parameters: []
      responses:
        '200':
          description: List of plans
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    name:
                      type: string
                    price:
                      type: number
                    currency:
                      type: string
                    max_config_entries:
                      type: integer
                      nullable: true
                    max_automations:
                      type: integer
                      nullable: true
                    max_exposed_entities:
                      type: integer
                      nullable: true
              example:
                - id: 1
                  name: Free
                  price: 0
                  currency: BRL
                  max_config_entries: 3
                  max_automations: 5
                  max_exposed_entities: 10
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````